/**
 * mobios.index.Query 2006.05.09
 *
 * The MoBIoS Library
 * Copyright (c) 2006 The MoBIoS Group and The University of Texas at Austin.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Change Log:
 * 2006.05.09: Modified from the original mobios package, Predicate.java, by Rui Mao
 */
 
package mobios.index ;

import mobios.type.IndexObject;


/**
 * Base interface for queries, consisting of all the information necessary to search the database.
 * @author Rui Mao, Willard
 * @version 2006.05.09
 */
public interface Query
{
    /**
     * @return the query object.
     */
    IndexObject getQueryObject();
}
