/**
 * mobios.util.Debug 2006.05.31
 *
 * The MoBIoS Library
 * Copyright (c) 2006 The MoBIoS Group and The University of Texas at Austin.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Change Log:
 * 2006.05.31: Created, by Rui Mao
 */
package mobios.util;

/**
 * Allows debugging to be turned on or off at compiletime.
 * 
 * @author Rui Mao
 *
 */
public final class Debug
{
    
    /**
     * Debug code.
     */
    public static final boolean debug = false;
    
    /**
     * Record statistics.
     */
    public static final boolean statistics = false;

}
